###McIndex使用時の注意点
- 不正のコーデイング：Index 作成 ⇒ Indexデータの変更または新規追加⇒ Index検索 
- 正確のコーデイング：Indexデータの変更または新規追加 ⇒ Index 作成 ⇒ Index検索

``` 問題発生するソース例
// MCList作成
MCList<ShipRprt_Prnt01_HdrR> testL = MCList.create(ShipRprt_Prnt01_HdrR.class);

testL.add();
testL.add();

// CreateIndex作成
MCIndexKey _testIdx = testL.createIndex(ShipRprt_Prnt01_HdrR.$ship_dt, ShipRprt_Prnt01_HdrR.$po_co_cd, ShipRprt_Prnt01_HdrR.$dlv_id_cd);

// Indexカラムのデータ設定
testL.get(0).ship_dt(MCDate.valueOf("2025/01/01", "yyyy/MM/dd"));
testL.get(0).po_co_cd("810600");
testL.get(0).dlv_id_cd("810600I19");

testL.get(1).ship_dt(MCDate.valueOf("2025/02/01", "yyyy/MM/dd"));
testL.get(1).po_co_cd("810500");
testL.get(1).dlv_id_cd("810500158");

// Index検索
ShipRprt_Prnt01_HdrR r1 = testL.getFirst(_testIdx, MCDate.valueOf("2025/02/01", "yyyy/MM/dd"),"810500","810500158");// OK 結果：あり
ShipRprt_Prnt01_HdrR r2 = testL.getFirst(_testIdx, MCDate.valueOf("2025/01/01", "yyyy/MM/dd"),"810600","810600I19");// 結果:NULL (NG)
 
// 上のコーデイングの隠蔽性が高い理由が、以下のように、日付のデータが異なる場合、正しい実行結果が得られます。
// CreateIndex作成
MCIndexKey _testIdx = testL.createIndex(ShipRprt_Prnt01_HdrR.$ship_dt, ShipRprt_Prnt01_HdrR.$po_co_cd, ShipRprt_Prnt01_HdrR.$dlv_id_cd);

// Indexカラムのデータ設定
testL.get(0).ship_dt(MCDate.valueOf("2025/01/01", "yyyy/MM/dd"));
testL.get(0).po_co_cd("810600");
testL.get(0).dlv_id_cd("810600I19");

testL.get(1).ship_dt(MCDate.valueOf("2025/01/02", "yyyy/MM/dd"));
testL.get(1).po_co_cd("810500");
testL.get(1).dlv_id_cd("810500158");

// Index検索
ShipRprt_Prnt01_HdrR r1 = testL.getFirst(_testIdx, MCDate.valueOf("2025/01/02", "yyyy/MM/dd"),"810500","810500158"); // OK 結果：あり
ShipRprt_Prnt01_HdrR r2 = testL.getFirst(_testIdx, MCDate.valueOf("2025/01/01", "yyyy/MM/dd"),"810600","810600I19"); // OK 結果：あり
```